function p.__get_is_solid() return true end
function p.__get_tex() return "block_room" end

function p.__main()
    set_default_block("r_room")
    
    create_rect("e", 1,1,1, 14,14,14)
    create_rect("e", 0,6,6, 0,8,8)
    
    --Example sprinkles.
    create_sprinkles(1,1,1, 14,14,14, 0.1, "s")

    create_rect("e", 6,6,6, 8,8,8)
    local msg_str = "The function ^x00ff00create_sprinkles^!("
        .. "min_x, min_y, min_z, max_x, max_y, max_z, "
        .. "p, block_type_str) "
        .. "will sprinkle blocks in the specified rect. "
        .. "Every position will be changed to a block of "
        .. "the given type with probability \"p\"."
    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
